Get Claim Status
curl --request GET \
--url https://api.agentpowers.ai/v1/claims/{claim_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/claims/{claim_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/claims/{claim_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"skill_slug": "<string>",
"github_username": "<string>",
"verification_score": 123,
"verification_details": "<string>",
"status": "<string>",
"created_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}claims
Get Claim Status
Check claim status. Users can only view their own claims.
GET
/
v1
/
claims
/
{claim_id}
Get Claim Status
curl --request GET \
--url https://api.agentpowers.ai/v1/claims/{claim_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentpowers.ai/v1/claims/{claim_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentpowers.ai/v1/claims/{claim_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"skill_slug": "<string>",
"github_username": "<string>",
"verification_score": 123,
"verification_details": "<string>",
"status": "<string>",
"created_at": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Provide a Clerk JWT or a long-lived CLI token (prefix ap_cli_). Pass as Authorization: Bearer <token>.
Path Parameters
Was this page helpful?